# Method: nodes.nodes.move

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move#body.aspect)

Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{name=nodes/*/nodes/*}:move`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` to move. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destination": string } ``` |

| Fields ||
|---|---|
| `destination` | `string` Required. The name of the new parent resource `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer` to reparent the node under. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`